Page 1 of 1
Forum

Welcome to the Tweaking4All community forums!
When participating, please keep the Forum Rules in mind!

Topics for particular software or systems: Start your topic link with the name of the application or system.
For example “MacOS X – Your question“, or “MS Word – Your Tip or Trick“.

Please note that switching to another language when reading a post will not bring you to the same post, in Dutch, as there is no translation for that post!



macOS - How to dete...
 
Share:
Notifications
Clear all

[Solved] macOS - How to determine minimum OS version requirement for an executabe

1 Posts
1 Users
0 Reactions
811 Views
 Hans
(@hans)
Famed Member Admin
Joined: 11 years ago
Posts: 2716
Topic starter  

Just something I needed to know while trying to find why Lazarus no longer observed dark mode under macOS.

Seems this may be SDK version related, so I tried to figure out what the minimum macOS version requirements where for certain applications.

The newer way (binfilename = the filename of your executable):

otool -l binfilename | grep minos

For older macOS versions (I presume before Big Sur):

otool -l binfilename | grep -A 3 LC_VERSION_MIN_MACOSX

 


   
ReplyQuote
Share: